For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
      • GETGet all Companies
      • POSTCreate a company
      • GETGet a company
      • DELDelete a company
      • PATCHUpdate a company
      • POSTCreate a company/deal attribute
      • GETGet company attributes
      • PATCHLink and Unlink company with contact and deal
      • POSTImport companies(creation and updation)
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Sales CRMCompanies

Get all Companies

GET
https://api.brevo.com/v3/companies
GET
/v3/companies
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.companies.getAllCompanies({});
8}
9main();
1{
2 "items": [
3 {
4 "attributes": {
5 "created_at": "2022-01-13T19:04:24.376+05:30",
6 "domain": "xyz",
7 "last_updated_at": "2022-04-01T18:47:48.283+05:30",
8 "name": "text",
9 "number_of_contacts": 0,
10 "owner": "62260474111b1101704a9d85",
11 "owner_assign_date": "2022-04-01T18:21:13.379+05:30",
12 "phone_number": 8171844192,
13 "revenue": 10
14 },
15 "id": "629475917295261d9b1f4403",
16 "linkedContactsIds": [
17 1,
18 2,
19 3
20 ],
21 "linkedDealsIds": [
22 "61a5ce58c5d4795761045990",
23 "61a5ce58c5d4795761045991",
24 "61a5ce58c5d4795761045992"
25 ]
26 }
27 ]
28}

Retrieve a paginated list of companies with optional filtering, sorting, and search capabilities. Results are sorted by creation date in descending order by default, and can be filtered by attributes, linked contacts, linked deals, or modification/creation timestamps.

Was this page helpful?
Previous

Create a company

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Query parameters

filters[attributes.name]stringOptional

Filter by attributes. If you have a filter for the owner on your side please send it as filters[attributes.owner] and utilize the account email for the filtering.

linkedContactsIdslongOptional
Filter by linked contacts ids
linkedDealsIdsstringOptionalformat: "objectID"
Filter by linked Deals ids
modifiedSincestringOptional

Filter (urlencoded) the companies modified after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). Prefer to pass your timezone in date-time format for accurate result.

createdSincestringOptional

Filter (urlencoded) the companies created after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). Prefer to pass your timezone in date-time format for accurate result.

pagelongOptional
Index of the first document of the page
limitlongOptional
Number of documents per page
sortenumOptional

Sort the results in the ascending/descending order. Default order is descending by creation if sort is not passed

Allowed values:
sortBystringOptional
The field used to sort field names.

Response

Returns companies list with filters
itemslist of objects
List of companies

Errors

400
Bad Request Error